# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.UtilizationModel

Packages that use UtilizationModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Uses of UtilizationModel in org.apache.sysds.runtime.controlprogram.federated

Fields in org.apache.sysds.runtime.controlprogram.federated declared as UtilizationModel
Modifier and Type
Field
Description
`UtilizationModel`
FederatedStatistics.FedStatsCollection.`utilization`
Methods in org.apache.sysds.runtime.controlprogram.federated that return UtilizationModel
Modifier and Type
Method
Description
`static UtilizationModel`
FederatedStatistics.`getUtilization()`

## Uses of UtilizationModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.models

Fields in org.apache.sysds.runtime.controlprogram.federated.monitoring.models with type parameters of type UtilizationModel
Modifier and Type
Field
Description
`List<UtilizationModel>`
StatisticsModel.`utilization`
Constructor parameters in org.apache.sysds.runtime.controlprogram.federated.monitoring.models with type arguments of type UtilizationModel
Modifier
Constructor
Description
``
`StatisticsModel(List<UtilizationModel> utilization, List<TrafficModel> traffic, List<EventModel> events, List<DataObjectModel> dataObjects, List<RequestModel> requests, List<HeavyHitterModel> heavyHitters)`